@import "~sass/media";
@import "~sass/variables";
.cash-back-wrap{
    position: relative;
    margin-bottom: 20px;
    width: 100%;
  }
  
  .casb-back {
    background-color: $primary-color;
    border-radius: 20px;
    margin-top: 40px;
    z-index: 1;
    position: relative;
    .cb-inner {
      display: flex;
      align-items: center;
    }
    .cb-jeeni {
      position: relative;
      top: 0;
      left: 5px;
      @include for-size(phone-only) {
        position: absolute;        
        left: 40%;
        display: flex;
        align-items: center;
        height: 14vh;
        top: -45px;
      }
      @media screen and (min-width: 769px) and (max-width: 1024px) {
          position: absolute;
          top: -32px;
          left: 40%;
          display: flex;
          align-items: center;
          height: 10vh;
      }
      img{
        width: 5vw;
        @include for-size(phone-only) {
          width: 18vw;
        }
        @media screen and (min-width: 601px) and (max-width: 768px) {
          width: 10vw;
        }
      }
    }
    .cb-meter {
      background-color: #fff;
      border-radius: 20px;
      width: 100%;
      margin: 10px;
      padding: 0 15px;
      text-align: center;
          @include for-size(phone-only) {
            margin-top: 8vh;
          }
          @media screen and (min-width: 769px) and (max-width: 1024px) {
            margin-top: 7vh;
          }
      .cb-range{
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
      h5{
        font-size: 15px;
        text-transform: uppercase;
        font-weight: 700;
        margin-bottom: 0 !important;
        padding-top: 5px;
      }
      .cb-pro-t{
        font-size: 14px;
        font-weight: 600;
        margin-right: -20px;
        margin-left: 5px;
        	@include for-size(phone-only) {
            font-size: 13px;
          }
      }
    }
  .cb-msg{
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    padding-bottom: 5px;
    .cb-gab{
      margin-right: 20px;
      border-right: 1px solid #b7b7b7;
      padding-right: 20px;
    }
    .cb-t {
      font-size: 14px;
      font-weight: 600;
    }
    .cb-p {
      font-size: 15px;
      font-weight: 800;
      color: #d05f17;
      	@include for-size(phone-only) {
           font-size: 13px;
          }
    }
  }
  
  }
  .cb-package{
    position: absolute;
      right: 50px;
      background-color: $btn-black;
      border-radius: 50px;
      padding: 10px 20px;
      bottom: -28px;
      // width: 40%;
      text-align: center;
      color: #fff;
      line-height: 5;
      height: 60px;
      font-size: 14px;
  }
  
  .captialize{
    text-transform: capitalize;
  }
  
  .max-limit{
    font-size: 12px;
    font-weight: 800;
    color: #d05f17;
    float: right;
    left: 18px;
    position: relative;
    white-space: pre-wrap;
    width: 160px;
    text-align: left;
    line-height: 1.5;
    top: -5px;
    text-indent: -3px;
  }

  .cashback-progress{
    margin: 4px 10px;
    .col.s3{
      height: 55px;
      padding-right: 0px;
      max-width: 60px;
      .cb-range{
        display: flex;
        justify-content: flex-start;
        .cb-pro-t{
          font-size: 14px;
          font-weight: 600;
          margin-left: -2px;
          	@include for-size(phone-only) {
              font-size: 13px;
            }
        }
      }
    }
    .col.s9{
      height: 55px;
      padding-left: 0px;
    }
  }
  .cash-back-wrap .mat-progress-bar{
    border-radius: 0px !important;
  }
  .highlight{
    color: #5a2f05 !important;
  }
  .br-1{
    border-right: 1px solid #b7b7b7;
  }